INTEL_LOGICAL_RING_A(9)

NAME
intel_logical_ring_advance_and_submit - advance the tail and submit the workload

SYNOPSIS

void intel_logical_ring_advance_and_submit(struct intel_ringbuffer * ringbuf);

ARGUMENTS

ringbuf
    Logical Ringbuffer to advance.

DESCRIPTION

The tail is updated in our logical ringbuffer struct, not in the actual context. What really happens during submission is that the context and current tail will be placed on a queue waiting for the ELSP to be ready to accept a new context submission. At that point, the tail *inside* the context is updated and the ELSP written to.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT